#pragma once

#include "CoreMinimal.h"
#include "PlayerStatusEffectSpawnerHelperInitParams.h"
#include "PlayerStatusEffectSpawnerHelper.generated.h"

USTRUCT(BlueprintType)
struct FPlayerStatusEffectSpawnerHelper
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	FPlayerStatusEffectSpawnerHelperInitParams _initParams;

public:
	DBDCOMPETENCE_API FPlayerStatusEffectSpawnerHelper();
};

FORCEINLINE uint32 GetTypeHash(const FPlayerStatusEffectSpawnerHelper) { return 0; }
